<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.wso2.carbon.tracer.ui.types.carbon.MessagePayload" %>
<script type="text/javascript" src="../highlighter/js/shCore.js"></script>
<script type="text/javascript" src="../highlighter/js/shBrushXml.js"></script>

<link rel="stylesheet" type="text/css" href="../highlighter/css/SyntaxHighlighter.css"/>

<fmt:bundle basename="org.wso2.carbon.tracer.ui.i18n.Resources">
    <%
        response.setHeader("Cache-Control", "no-cache");
        MessagePayload messagePayload = (MessagePayload) request.getAttribute("messagePayload");
    %>

    <table class="styledLeft">
        <tr>
            <td width="50%"><strong><fmt:message key="request"/></strong></td>
            <td width="50%"><strong><fmt:message key="response"/></strong></td>
        </tr>
        <tr>
            <td width="50%" style="vertical-align:top !important; padding-top:0 !important;">
                <%
                    if (messagePayload != null && messagePayload.getRequest() != null) {
                %>
            <pre name="code" class="html:nogutter:nocontrols"   style="padding-top:0 !important;"><%= messagePayload.getRequest() %></pre>
                <%
                    }
                %>
            </td>
            <td width="50%" style="vertical-align:top !important;  padding-top:0 !important;">
                <%
                    if (messagePayload != null && messagePayload.getResponse() != null) {
                %>
            <pre name="code" class="html:nogutter:nocontrols" style="padding-top:0 !important;"><%= messagePayload.getResponse() %></pre>
                <%
                    }
                %>
            </td>
        </tr>
    </table>

    <script type="text/javascript">
        dp.SyntaxHighlighter.HighlightAll('code');
    </script>
</fmt:bundle>