<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.tracer.ui.TracerAdminClient" %>
<%@ page import="org.wso2.carbon.tracer.ui.types.carbon.MessageInfo" %>
<%@ page import="org.wso2.carbon.tracer.ui.types.carbon.MessagePayload" %>
<%@ page import="org.wso2.carbon.tracer.ui.types.carbon.TracerServiceInfo" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>

<%
    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);

    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    TracerAdminClient client;
    TracerServiceInfo tracerInfo;
    try {
        client = new TracerAdminClient(cookie, backendServerURL, configContext);
        tracerInfo = client.getMessages(250, request.getParameter("filter"));
        MessagePayload messagePayload = tracerInfo.getLastMessage();
        MessageInfo[] messageIDs = tracerInfo.getMessageInfo();
        request.setAttribute("messageIDs", messageIDs);
        request.setAttribute("messagePayload", messagePayload);
    } catch (Exception e) {response.setStatus(500);
        response.getWriter().write(e.getMessage());
        return;
    }
%>
<jsp:include page="messages_include.jsp"/>