<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.tracer.ui.TracerAdminClient" %>
<%@ page import="org.wso2.carbon.tracer.ui.types.carbon.MessagePayload" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>

<%
    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);

    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    TracerAdminClient client;

    String messageUUID = request.getParameter("messageUUID");
    String[] strings = messageUUID.split(",");

    String serviceName = strings[0];
    String opName = strings[1];
    String msgSequence = strings[2];
    MessagePayload messagePayload;
    try {
        client = new TracerAdminClient(cookie, backendServerURL, configContext);
        messagePayload = client.getMessage(serviceName, opName, Integer.parseInt(msgSequence));
    } catch (Exception e) {
        response.setStatus(500);
        response.getWriter().write(e.getMessage());
        return;
    }
    request.setAttribute("messagePayload", messagePayload);
%>
<jsp:include page="message_include.jsp" />